%define upstream_name    Socket-Packet
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object interface to C<AF_PACKET> domain sockets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Socket/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CChecker)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
To quote 'packet(7)':

 Packet sockets are used to receive or send raw packets at the device driver
 (OSI Layer 2) level. They allow the user to implement protocol modules in
 user space on top of the physical layer.

Sockets in the 'PF_PACKET' family get direct link-level access to the
underlying hardware (i.e. Ethernet or similar). They are usually used to
implement packet capturing, or sending of specially-constructed packets or
to implement protocols the underlying kernel does not recognise.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 19 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 169418
- imported package perl-Socket-Packet


* Sat Nov 19 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
